Recommendations - Get Recommendation Resources

Get recommendation resources.
Gets the list of resources for a recommendation for the tenant.

GET https://api.powerplatform.com/analytics/advisorRecommendations/{scenario}/resources?api-version=2024-10-01

URI Parameters

Name In Required Type Description
scenario
path True

string

The recommendation name.

api-version
query True

string

The API version.

Responses

Name Type Description
200 OK

AdvisorRecommendationResourceIEnumerableResponseWithContinuation

Success

400 Bad Request

Bad Request

401 Unauthorized

Unauthorized

403 Forbidden

Forbidden

404 Not Found

Not Found

429 Too Many Requests

Too Many Requests

Security

oauth2

Microsoft Entra ID OAuth2

Type: oauth2
Flow: implicit
Authorization URL: https://login.microsoftonline.com/common/oauth2/authorize?resource=https://api.powerplatform.com

Scopes

Name Description
.default .default

Definitions

Name Description
AdvisorRecommendationResource

Details of a resource included in a recommendation

AdvisorRecommendationResourceIEnumerableResponseWithContinuation

Paged list of recommendation resources

AdvisorRecommendationResource

Details of a resource included in a recommendation

Name Type Description
environmentId

string

The environment unique ID

environmentName

string

The environment display name

lastAccessedDate

string (date-time)

Time when the resource was last used

lastModifiedDate

string (date-time)

Time when the resource was last modified

resourceActionStatus

string

Current status of any action taken since the last refresh time

resourceDescription

string

The resource description

resourceId

string

The resource unique ID

resourceName

string

The resource display name

resourceOwner

string

The resource owner display name

resourceOwnerId

string

The resource owner object ID

resourceSubType

string

The sub type of the resource

resourceType

string

The type of resource

resourceUsage

number (double)

Number of unique users who used the resource in the last thirty (30) days

AdvisorRecommendationResourceIEnumerableResponseWithContinuation

Paged list of recommendation resources

Name Type Description
nextLink

string

Link to get the next page of resources

value

AdvisorRecommendationResource[]

List of recommendation resources